/*
 
  copyright (c) 2004, Michal Salaban <emes@pld-linux.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2 as
  published by the Free Software Foundation (see file COPYING for details).

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: conditions.h,v 1.5 2004/02/22 12:16:15 emes Exp $
 
*/
#include <stdio.h>

typedef struct {
    enum {
        RELATION,
        ATOMIC
    }       type;

    void    *arg1;
    void    *arg2;
    token   op;
} expression;

typedef struct {
    enum {
        DOUBLE,
        SIZE
    }       type;

    void    *val;
    void    *thresh;
    token   op;
} atomic;

typedef struct {
    int         once;
    char        *runcmd;
} rundata;

typedef struct {
    int         once;
} logdata;

typedef struct {
    char        *name;
    expression  *expr;
    rundata     *run;
    logdata     *log;
    int         hit,
                prevhit;
} ruleset;

/*
 *  Functions
 */

int check_atomic (atomic *at);
int check_expression (expression *ex);

/* $Id: conditions.h,v 1.5 2004/02/22 12:16:15 emes Exp $ */
