/*
 
  copyright (c) 2004, Michal Salaban <emes@pld-linux.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2 as
  published by the Free Software Foundation (see file COPYING for details).

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: log.c,v 1.3 2004/02/23 19:15:31 emes Exp $
 
*/

#include <syslog.h>
#include "parseopt/lex.h"
#include "conditions.h"
#include "getstats.h"
#include "log.h"

void log_start (int rules)
{
    openlog ("sysfence",
            LOG_NDELAY | LOG_PID | LOG_CONS,
            LOG_DAEMON);
    
    syslog (LOG_INFO, "loaded %d rules", rules);
}

void log_rulehit (ruleset *rule)
{
    if (rule->name != NULL) {
        syslog (LOG_WARNING,
                "%s: la1=%0.2f la5=%0.2f la15=%0.2f, "
                "memfree=%d memused=%d, swapfree=%d swapused=%d",
                rule->name,
                stat_la1, stat_la5, stat_la15,
                stat_memfree, stat_memused, stat_swapfree, stat_swapused);
    } else {
        syslog (LOG_WARNING,
                "rule hit: la1=%0.2f la5=%0.2f la15=%0.2f, "
                "memfree=%d memused=%d, swapfree=%d swapused=%d",
                stat_la1, stat_la5, stat_la15,
                stat_memfree, stat_memused, stat_swapfree, stat_swapused);
    }
}

void log_end ()
{
    syslog (LOG_INFO, "exiting");

    closelog ();
}

/* $Id: log.c,v 1.3 2004/02/23 19:15:31 emes Exp $ */
